#include<fstream>
using namespace std;
int p(int n)
{
	if(n==1) return -1;
	else 
	{
		if(n%2==0) return n-p(n-1);
		else return n+p(n-1);
	}
}
int gt(int n)
{
	if(n==1) return 1;
	else return n*gt(n-1);
}
int t(int n)
{
	if(n==1) return 1;
	else return gt(n)+t(n-1);
}
int main()
{
	ifstream f1("DQQT.INP");
	ofstream f2("DQQT.OUT");
	int n;
	f1>>n;
	f2<<p(n)<<endl<<t(n);
	f1.close();
	f2.close();
}
